/**
 * @typedef {import('./index.js').Grammar} Grammar
 */

import configXcompose from '../lang/config.xcompose.js'
import fileLasso from '../lang/file.lasso.js'
import goMod from '../lang/go.mod.js'
import goSum from '../lang/go.sum.js'
import objdumpX6asm from '../lang/objdump.x86asm.js'
import source2da from '../lang/source.2da.js'
import source4dm from '../lang/source.4dm.js'
import sourceAbap from '../lang/source.abap.js'
import sourceAbapcds from '../lang/source.abapcds.js'
import sourceAbl from '../lang/source.abl.js'
import sourceAbnf from '../lang/source.abnf.js'
import sourceActionscript3 from '../lang/source.actionscript.3.js'
import sourceAda from '../lang/source.ada.js'
import sourceAfm from '../lang/source.afm.js'
import sourceAgc from '../lang/source.agc.js'
import sourceAgda from '../lang/source.agda.js'
import sourceAhk from '../lang/source.ahk.js'
import sourceAidl from '../lang/source.aidl.js'
import sourceAl from '../lang/source.al.js'
import sourceAlloy from '../lang/source.alloy.js'
import sourceAmpl from '../lang/source.ampl.js'
import sourceAngelscript from '../lang/source.angelscript.js'
import sourceAntlr from '../lang/source.antlr.js'
import sourceApacheConfig from '../lang/source.apache-config.js'
import sourceApl from '../lang/source.apl.js'
import sourceApplescript from '../lang/source.applescript.js'
import sourceAsl from '../lang/source.asl.js'
import sourceAsn from '../lang/source.asn.js'
import sourceAspectj from '../lang/source.aspectj.js'
import sourceAssembly from '../lang/source.assembly.js'
import sourceAstro from '../lang/source.astro.js'
import sourceAts from '../lang/source.ats.js'
import sourceAutoit from '../lang/source.autoit.js'
import sourceAvro from '../lang/source.avro.js'
import sourceAwk from '../lang/source.awk.js'
import sourceBallerina from '../lang/source.ballerina.js'
import sourceBasic from '../lang/source.basic.js'
import sourceBatchfile from '../lang/source.batchfile.js'
import sourceBdf from '../lang/source.bdf.js'
import sourceBefunge from '../lang/source.befunge.js'
import sourceBerry from '../lang/source.berry.js'
import sourceBf from '../lang/source.bf.js'
import sourceBicep from '../lang/source.bicep.js'
import sourceBlitzmax from '../lang/source.blitzmax.js'
import sourceBoo from '../lang/source.boo.js'
import sourceBoogie from '../lang/source.boogie.js'
import sourceBp from '../lang/source.bp.js'
import sourceBrs from '../lang/source.brs.js'
import sourceBsl from '../lang/source.bsl.js'
import sourceBsv from '../lang/source.bsv.js'
import sourceC from '../lang/source.c.js'
import sourceCpp from '../lang/source.c++.js'
import sourceCEc from '../lang/source.c.ec.js'
import sourceCNwscript from '../lang/source.c.nwscript.js'
import sourceCabal from '../lang/source.cabal.js'
import sourceCadence from '../lang/source.cadence.js'
import sourceCairo from '../lang/source.cairo.js'
import sourceCapnp from '../lang/source.capnp.js'
import sourceCds from '../lang/source.cds.js'
import sourceCeylon from '../lang/source.ceylon.js'
import sourceCfscript from '../lang/source.cfscript.js'
import sourceChapel from '../lang/source.chapel.js'
import sourceCil from '../lang/source.cil.js'
import sourceCirru from '../lang/source.cirru.js'
import sourceClar from '../lang/source.clar.js'
import sourceClarion from '../lang/source.clarion.js'
import sourceClean from '../lang/source.clean.js'
import sourceClick from '../lang/source.click.js'
import sourceClips from '../lang/source.clips.js'
import sourceClojure from '../lang/source.clojure.js'
import sourceCmake from '../lang/source.cmake.js'
import sourceCobol from '../lang/source.cobol.js'
import sourceCoffee from '../lang/source.coffee.js'
import sourceCool from '../lang/source.cool.js'
import sourceCoq from '../lang/source.coq.js'
import sourceCrystal from '../lang/source.crystal.js'
import sourceCs from '../lang/source.cs.js'
import sourceCsound from '../lang/source.csound.js'
import sourceCsoundDocument from '../lang/source.csound-document.js'
import sourceCsoundScore from '../lang/source.csound-score.js'
import sourceCss from '../lang/source.css.js'
import sourceCssLess from '../lang/source.css.less.js'
import sourceCssMss from '../lang/source.css.mss.js'
import sourceCssPostcssSugarss from '../lang/source.css.postcss.sugarss.js'
import sourceCssScss from '../lang/source.css.scss.js'
import sourceCsswg from '../lang/source.csswg.js'
import sourceCudaCpp from '../lang/source.cuda-c++.js'
import sourceCue from '../lang/source.cue.js'
import sourceCuesheet from '../lang/source.cuesheet.js'
import sourceCurlrc from '../lang/source.curlrc.js'
import sourceCurry from '../lang/source.curry.js'
import sourceCwl from '../lang/source.cwl.js'
import sourceCython from '../lang/source.cython.js'
import sourceD from '../lang/source.d.js'
import sourceDart from '../lang/source.dart.js'
import sourceDataWeave from '../lang/source.data-weave.js'
import sourceDebControl from '../lang/source.deb-control.js'
import sourceDenizenscript from '../lang/source.denizenscript.js'
import sourceDesktop from '../lang/source.desktop.js'
import sourceDiff from '../lang/source.diff.js'
import sourceDircolors from '../lang/source.dircolors.js'
import sourceDm from '../lang/source.dm.js'
import sourceDockerfile from '../lang/source.dockerfile.js'
import sourceDot from '../lang/source.dot.js'
import sourceDylan from '../lang/source.dylan.js'
import sourceEarthfile from '../lang/source.earthfile.js'
import sourceEbnf from '../lang/source.ebnf.js'
import sourceEcl from '../lang/source.ecl.js'
import sourceEditorconfig from '../lang/source.editorconfig.js'
import sourceEiffel from '../lang/source.eiffel.js'
import sourceElixir from '../lang/source.elixir.js'
import sourceElm from '../lang/source.elm.js'
import sourceElvish from '../lang/source.elvish.js'
import sourceEmacsLisp from '../lang/source.emacs.lisp.js'
import sourceErlang from '../lang/source.erlang.js'
import sourceEuphoria from '../lang/source.euphoria.js'
import sourceFactor from '../lang/source.factor.js'
import sourceFan from '../lang/source.fan.js'
import sourceFancy from '../lang/source.fancy.js'
import sourceFaust from '../lang/source.faust.js'
import sourceFigfont from '../lang/source.figfont.js'
import sourceFirestore from '../lang/source.firestore.js'
import sourceFish from '../lang/source.fish.js'
import sourceFnl from '../lang/source.fnl.js'
import sourceFontdir from '../lang/source.fontdir.js'
import sourceForth from '../lang/source.forth.js'
import sourceFortran from '../lang/source.fortran.js'
import sourceFortranModern from '../lang/source.fortran.modern.js'
import sourceFsharp from '../lang/source.fsharp.js'
import sourceFstar from '../lang/source.fstar.js'
import sourceFtl from '../lang/source.ftl.js'
import sourceFuthark from '../lang/source.futhark.js'
import sourceGap from '../lang/source.gap.js'
import sourceGcode from '../lang/source.gcode.js'
import sourceGdb from '../lang/source.gdb.js'
import sourceGdscript from '../lang/source.gdscript.js'
import sourceGedcom from '../lang/source.gedcom.js'
import sourceGemfileLock from '../lang/source.gemfile-lock.js'
import sourceGemini from '../lang/source.gemini.js'
import sourceGenericDb from '../lang/source.generic-db.js'
import sourceGenero from '../lang/source.genero.js'
import sourceGeneroForms from '../lang/source.genero-forms.js'
import sourceGerber from '../lang/source.gerber.js'
import sourceGf from '../lang/source.gf.js'
import sourceGfm from '../lang/source.gfm.js'
import sourceGitRevlist from '../lang/source.git-revlist.js'
import sourceGitattributes from '../lang/source.gitattributes.js'
import sourceGitconfig from '../lang/source.gitconfig.js'
import sourceGitignore from '../lang/source.gitignore.js'
import sourceGleam from '../lang/source.gleam.js'
import sourceGlsl from '../lang/source.glsl.js'
import sourceGn from '../lang/source.gn.js'
import sourceGnuplot from '../lang/source.gnuplot.js'
import sourceGo from '../lang/source.go.js'
import sourceGolo from '../lang/source.golo.js'
import sourceGosu2 from '../lang/source.gosu.2.js'
import sourceGrace from '../lang/source.grace.js'
import sourceGraphql from '../lang/source.graphql.js'
import sourceGroovy from '../lang/source.groovy.js'
import sourceGroovyGradle from '../lang/source.groovy.gradle.js'
import sourceGsc from '../lang/source.gsc.js'
import sourceHack from '../lang/source.hack.js'
import sourceHaproxyConfig from '../lang/source.haproxy-config.js'
import sourceHarbour from '../lang/source.harbour.js'
import sourceHaskell from '../lang/source.haskell.js'
import sourceHc from '../lang/source.hc.js'
import sourceHlsl from '../lang/source.hlsl.js'
import sourceHocon from '../lang/source.hocon.js'
import sourceHoon from '../lang/source.hoon.js'
import sourceHql from '../lang/source.hql.js'
import sourceHttpspec from '../lang/source.httpspec.js'
import sourceHx from '../lang/source.hx.js'
import sourceHxml from '../lang/source.hxml.js'
import sourceHy from '../lang/source.hy.js'
import sourceIdl from '../lang/source.idl.js'
import sourceIdris from '../lang/source.idris.js'
import sourceIgor from '../lang/source.igor.js'
import sourceInform7 from '../lang/source.inform7.js'
import sourceIni from '../lang/source.ini.js'
import sourceIniNpmrc from '../lang/source.ini.npmrc.js'
import sourceInno from '../lang/source.inno.js'
import sourceInputrc from '../lang/source.inputrc.js'
import sourceIo from '../lang/source.io.js'
import sourceIoke from '../lang/source.ioke.js'
import sourceIsabelleRoot from '../lang/source.isabelle.root.js'
import sourceIsabelleTheory from '../lang/source.isabelle.theory.js'
import sourceJ from '../lang/source.j.js'
import sourceJanet from '../lang/source.janet.js'
import sourceJasmin from '../lang/source.jasmin.js'
import sourceJava from '../lang/source.java.js'
import sourceJavaProperties from '../lang/source.java-properties.js'
import sourceJestSnap from '../lang/source.jest.snap.js'
import sourceJflex from '../lang/source.jflex.js'
import sourceJison from '../lang/source.jison.js'
import sourceJisonlex from '../lang/source.jisonlex.js'
import sourceJolie from '../lang/source.jolie.js'
import sourceJq from '../lang/source.jq.js'
import sourceJs from '../lang/source.js.js'
import sourceJsObjj from '../lang/source.js.objj.js'
import sourceJson from '../lang/source.json.js'
import sourceJsoniq from '../lang/source.jsoniq.js'
import sourceJsonnet from '../lang/source.jsonnet.js'
import sourceJulia from '../lang/source.julia.js'
import sourceKakscript from '../lang/source.kakscript.js'
import sourceKeyvalues from '../lang/source.keyvalues.js'
import sourceKotlin from '../lang/source.kotlin.js'
import sourceKusto from '../lang/source.kusto.js'
import sourceLark from '../lang/source.lark.js'
import sourceLean from '../lang/source.lean.js'
import sourceLex from '../lang/source.lex.js'
import sourceLigo from '../lang/source.ligo.js'
import sourceLilypond from '../lang/source.lilypond.js'
import sourceLisp from '../lang/source.lisp.js'
import sourceLitcoffee from '../lang/source.litcoffee.js'
import sourceLivescript from '../lang/source.livescript.js'
import sourceLlvm from '../lang/source.llvm.js'
import sourceLogos from '../lang/source.logos.js'
import sourceLogtalk from '../lang/source.logtalk.js'
import sourceLoomscript from '../lang/source.loomscript.js'
import sourceLsl from '../lang/source.lsl.js'
import sourceLtspiceSymbol from '../lang/source.ltspice.symbol.js'
import sourceLua from '../lang/source.lua.js'
import sourceM2 from '../lang/source.m2.js'
import sourceM4 from '../lang/source.m4.js'
import sourceM8k from '../lang/source.m68k.js'
import sourceMakefile from '../lang/source.makefile.js'
import sourceMask from '../lang/source.mask.js'
import sourceMathematica from '../lang/source.mathematica.js'
import sourceMatlab from '../lang/source.matlab.js'
import sourceMaxscript from '../lang/source.maxscript.js'
import sourceMc from '../lang/source.mc.js'
import sourceMcfunction from '../lang/source.mcfunction.js'
import sourceMercury from '../lang/source.mercury.js'
import sourceMeson from '../lang/source.meson.js'
import sourceMiniyaml from '../lang/source.miniyaml.js'
import sourceMint from '../lang/source.mint.js'
import sourceMl from '../lang/source.ml.js'
import sourceMligo from '../lang/source.mligo.js'
import sourceMlir from '../lang/source.mlir.js'
import sourceMo from '../lang/source.mo.js'
import sourceModelica from '../lang/source.modelica.js'
import sourceModula3 from '../lang/source.modula-3.js'
import sourceModula2 from '../lang/source.modula2.js'
import sourceMonkey from '../lang/source.monkey.js'
import sourceMoonscript from '../lang/source.moonscript.js'
import sourceMove from '../lang/source.move.js'
import sourceMql5 from '../lang/source.mql5.js'
import sourceMsl from '../lang/source.msl.js'
import sourceMupad from '../lang/source.mupad.js'
import sourceNanorc from '../lang/source.nanorc.js'
import sourceNasl from '../lang/source.nasl.js'
import sourceNcl from '../lang/source.ncl.js'
import sourceNe from '../lang/source.ne.js'
import sourceNemerle from '../lang/source.nemerle.js'
import sourceNeon from '../lang/source.neon.js'
import sourceNesc from '../lang/source.nesc.js'
import sourceNetlinx from '../lang/source.netlinx.js'
import sourceNetlinxErb from '../lang/source.netlinx.erb.js'
import sourceNextflow from '../lang/source.nextflow.js'
import sourceNginx from '../lang/source.nginx.js'
import sourceNim from '../lang/source.nim.js'
import sourceNinja from '../lang/source.ninja.js'
import sourceNit from '../lang/source.nit.js'
import sourceNix from '../lang/source.nix.js'
import sourceNsis from '../lang/source.nsis.js'
import sourceNu from '../lang/source.nu.js'
import sourceNut from '../lang/source.nut.js'
import sourceObjc from '../lang/source.objc.js'
import sourceObjcpp from '../lang/source.objc++.js'
import sourceObjectscript from '../lang/source.objectscript.js'
import sourceOcaml from '../lang/source.ocaml.js'
import sourceOdin from '../lang/source.odin.js'
import sourceOdinEhr from '../lang/source.odin-ehr.js'
import sourceOoc from '../lang/source.ooc.js'
import sourceOpa from '../lang/source.opa.js'
import sourceOpal from '../lang/source.opal.js'
import sourceOpentype from '../lang/source.opentype.js'
import sourceOx from '../lang/source.ox.js'
import sourceOz from '../lang/source.oz.js'
import sourceP4 from '../lang/source.p4.js'
import sourcePan from '../lang/source.pan.js'
import sourcePapyrusSkyrim from '../lang/source.papyrus.skyrim.js'
import sourceParrotPir from '../lang/source.parrot.pir.js'
import sourcePascal from '../lang/source.pascal.js'
import sourcePawn from '../lang/source.pawn.js'
import sourcePcbBoard from '../lang/source.pcb.board.js'
import sourcePcbSchematic from '../lang/source.pcb.schematic.js'
import sourcePcbSexp from '../lang/source.pcb.sexp.js'
import sourcePegjs from '../lang/source.pegjs.js'
import sourcePep8 from '../lang/source.pep8.js'
import sourcePerl from '../lang/source.perl.js'
import sourcePhpZephir from '../lang/source.php.zephir.js'
import sourcePic from '../lang/source.pic.js'
import sourcePigLatin from '../lang/source.pig_latin.js'
import sourcePike from '../lang/source.pike.js'
import sourcePlist from '../lang/source.plist.js'
import sourcePo from '../lang/source.po.js'
import sourcePogoscript from '../lang/source.pogoscript.js'
import sourcePony from '../lang/source.pony.js'
import sourcePortugol from '../lang/source.portugol.js'
import sourcePostcss from '../lang/source.postcss.js'
import sourcePostscript from '../lang/source.postscript.js'
import sourcePovRaySdl from '../lang/source.pov-ray sdl.js'
import sourcePowershell from '../lang/source.powershell.js'
import sourcePrisma from '../lang/source.prisma.js'
import sourceProcessing from '../lang/source.processing.js'
import sourceProcfile from '../lang/source.procfile.js'
import sourceProlog from '../lang/source.prolog.js'
import sourcePrologEclipse from '../lang/source.prolog.eclipse.js'
import sourcePromela from '../lang/source.promela.js'
import sourceProto from '../lang/source.proto.js'
import sourcePuppet from '../lang/source.puppet.js'
import sourcePurescript from '../lang/source.purescript.js'
import sourcePython from '../lang/source.python.js'
import sourcePythonKivy from '../lang/source.python.kivy.js'
import sourceQ from '../lang/source.q.js'
import sourceQasm from '../lang/source.qasm.js'
import sourceQl from '../lang/source.ql.js'
import sourceQmake from '../lang/source.qmake.js'
import sourceQml from '../lang/source.qml.js'
import sourceQsharp from '../lang/source.qsharp.js'
import sourceQuake from '../lang/source.quake.js'
import sourceR from '../lang/source.r.js'
import sourceRacket from '../lang/source.racket.js'
import sourceRaku from '../lang/source.raku.js'
import sourceRascal from '../lang/source.rascal.js'
import sourceReason from '../lang/source.reason.js'
import sourceRebol from '../lang/source.rebol.js'
import sourceRecordJar from '../lang/source.record-jar.js'
import sourceRed from '../lang/source.red.js'
import sourceRedirects from '../lang/source.redirects.js'
import sourceReg from '../lang/source.reg.js'
import sourceRegexp from '../lang/source.regexp.js'
import sourceRego from '../lang/source.rego.js'
import sourceReligo from '../lang/source.religo.js'
import sourceRenpy from '../lang/source.renpy.js'
import sourceRescript from '../lang/source.rescript.js'
import sourceRexx from '../lang/source.rexx.js'
import sourceRing from '../lang/source.ring.js'
import sourceRpgle from '../lang/source.rpgle.js'
import sourceRpmSpec from '../lang/source.rpm-spec.js'
import sourceRuby from '../lang/source.ruby.js'
import sourceRust from '../lang/source.rust.js'
import sourceSas from '../lang/source.sas.js'
import sourceSass from '../lang/source.sass.js'
import sourceScad from '../lang/source.scad.js'
import sourceScala from '../lang/source.scala.js'
import sourceScaml from '../lang/source.scaml.js'
import sourceScheme from '../lang/source.scheme.js'
import sourceScilab from '../lang/source.scilab.js'
import sourceSed from '../lang/source.sed.js'
import sourceSepolicy from '../lang/source.sepolicy.js'
import sourceShaderlab from '../lang/source.shaderlab.js'
import sourceShell from '../lang/source.shell.js'
import sourceShellcheckrc from '../lang/source.shellcheckrc.js'
import sourceShen from '../lang/source.shen.js'
import sourceSieve from '../lang/source.sieve.js'
import sourceSingularity from '../lang/source.singularity.js'
import sourceSlice from '../lang/source.slice.js'
import sourceSmali from '../lang/source.smali.js'
import sourceSmalltalk from '../lang/source.smalltalk.js'
import sourceSmpl from '../lang/source.smpl.js'
import sourceSmt from '../lang/source.smt.js'
import sourceSolidity from '../lang/source.solidity.js'
import sourceSolution from '../lang/source.solution.js'
import sourceSourcepawn from '../lang/source.sourcepawn.js'
import sourceSparql from '../lang/source.sparql.js'
import sourceSpin from '../lang/source.spin.js'
import sourceSqf from '../lang/source.sqf.js'
import sourceSql from '../lang/source.sql.js'
import sourceSshConfig from '../lang/source.ssh-config.js'
import sourceStan from '../lang/source.stan.js'
import sourceStar from '../lang/source.star.js'
import sourceStata from '../lang/source.stata.js'
import sourceStl from '../lang/source.stl.js'
import sourceStringTemplate from '../lang/source.string-template.js'
import sourceStylus from '../lang/source.stylus.js'
import sourceSupercollider from '../lang/source.supercollider.js'
import sourceSvelte from '../lang/source.svelte.js'
import sourceSwift from '../lang/source.swift.js'
import sourceSystemverilog from '../lang/source.systemverilog.js'
import sourceTalon from '../lang/source.talon.js'
import sourceTcl from '../lang/source.tcl.js'
import sourceTea from '../lang/source.tea.js'
import sourceTerra from '../lang/source.terra.js'
import sourceTerraform from '../lang/source.terraform.js'
import sourceTextproto from '../lang/source.textproto.js'
import sourceThrift from '../lang/source.thrift.js'
import sourceTl from '../lang/source.tl.js'
import sourceTla from '../lang/source.tla.js'
import sourceTmProperties from '../lang/source.tm-properties.js'
import sourceToc from '../lang/source.toc.js'
import sourceToml from '../lang/source.toml.js'
import sourceTs from '../lang/source.ts.js'
import sourceTsql from '../lang/source.tsql.js'
import sourceTsx from '../lang/source.tsx.js'
import sourceTuring from '../lang/source.turing.js'
import sourceTurtle from '../lang/source.turtle.js'
import sourceTxl from '../lang/source.txl.js'
import sourceUr from '../lang/source.ur.js'
import sourceV from '../lang/source.v.js'
import sourceVala from '../lang/source.vala.js'
import sourceVarnishVcl from '../lang/source.varnish.vcl.js'
import sourceVbnet from '../lang/source.vbnet.js'
import sourceVelocity from '../lang/source.velocity.js'
import sourceVerilog from '../lang/source.verilog.js'
import sourceVhdl from '../lang/source.vhdl.js'
import sourceVimSnippet from '../lang/source.vim-snippet.js'
import sourceViml from '../lang/source.viml.js'
import sourceVyper from '../lang/source.vyper.js'
import sourceWavefrontMtl from '../lang/source.wavefront.mtl.js'
import sourceWavefrontObj from '../lang/source.wavefront.obj.js'
import sourceWdl from '../lang/source.wdl.js'
import sourceWebassembly from '../lang/source.webassembly.js'
import sourceWebidl from '../lang/source.webidl.js'
import sourceWgetrc from '../lang/source.wgetrc.js'
import sourceWhiley from '../lang/source.whiley.js'
import sourceWin2Messages from '../lang/source.win32-messages.js'
import sourceWitcherscript from '../lang/source.witcherscript.js'
import sourceWollok from '../lang/source.wollok.js'
import sourceWren from '../lang/source.wren.js'
import sourceWsd from '../lang/source.wsd.js'
import sourceX0 from '../lang/source.x10.js'
import sourceX6 from '../lang/source.x86.js'
import sourceXc from '../lang/source.xc.js'
import sourceXojo from '../lang/source.xojo.js'
import sourceXq from '../lang/source.xq.js'
import sourceXtend from '../lang/source.xtend.js'
import sourceYacc from '../lang/source.yacc.js'
import sourceYaml from '../lang/source.yaml.js'
import sourceYamlSalt from '../lang/source.yaml.salt.js'
import sourceYang from '../lang/source.yang.js'
import sourceYara from '../lang/source.yara.js'
import sourceYasnippet from '../lang/source.yasnippet.js'
import sourceYul from '../lang/source.yul.js'
import sourceZap from '../lang/source.zap.js'
import sourceZeek from '../lang/source.zeek.js'
import sourceZenscript from '../lang/source.zenscript.js'
import sourceZig from '../lang/source.zig.js'
import sourceZil from '../lang/source.zil.js'
import textAdblock from '../lang/text.adblock.js'
import textBibtex from '../lang/text.bibtex.js'
import textBrowserslist from '../lang/text.browserslist.js'
import textChecksums from '../lang/text.checksums.js'
import textCodeowners from '../lang/text.codeowners.js'
import textConllu from '../lang/text.conllu.js'
import textDfyDafny from '../lang/text.dfy.dafny.js'
import textEmlBasic from '../lang/text.eml.basic.js'
import textGherkinFeature from '../lang/text.gherkin.feature.js'
import textHaml from '../lang/text.haml.js'
import textHtmlAsciidoc from '../lang/text.html.asciidoc.js'
import textHtmlAsp from '../lang/text.html.asp.js'
import textHtmlBasic from '../lang/text.html.basic.js'
import textHtmlCfm from '../lang/text.html.cfm.js'
import textHtmlCreole from '../lang/text.html.creole.js'
import textHtmlCshtml from '../lang/text.html.cshtml.js'
import textHtmlDjango from '../lang/text.html.django.js'
import textHtmlEcr from '../lang/text.html.ecr.js'
import textHtmlElixir from '../lang/text.html.elixir.js'
import textHtmlErb from '../lang/text.html.erb.js'
import textHtmlFtl from '../lang/text.html.ftl.js'
import textHtmlHandlebars from '../lang/text.html.handlebars.js'
import textHtmlJs from '../lang/text.html.js.js'
import textHtmlJsp from '../lang/text.html.jsp.js'
import textHtmlLiquid from '../lang/text.html.liquid.js'
import textHtmlMako from '../lang/text.html.mako.js'
import textHtmlMarkdownSourceGfmApib from '../lang/text.html.markdown.source.gfm.apib.js'
import textHtmlMediawiki from '../lang/text.html.mediawiki.js'
import textHtmlNunjucks from '../lang/text.html.nunjucks.js'
import textHtmlPhp from '../lang/text.html.php.js'
import textHtmlPhpBlade from '../lang/text.html.php.blade.js'
import textHtmlRiot from '../lang/text.html.riot.js'
import textHtmlSlash from '../lang/text.html.slash.js'
import textHtmlSmarty from '../lang/text.html.smarty.js'
import textHtmlSoy from '../lang/text.html.soy.js'
import textHtmlStatamic from '../lang/text.html.statamic.js'
import textHtmlTwig from '../lang/text.html.twig.js'
import textHtmlVue from '../lang/text.html.vue.js'
import textJade from '../lang/text.jade.js'
import textMarko from '../lang/text.marko.js'
import textMuse from '../lang/text.muse.js'
import textPythonConsole from '../lang/text.python.console.js'
import textPythonTraceback from '../lang/text.python.traceback.js'
import textRdoc from '../lang/text.rdoc.js'
import textRestructuredtext from '../lang/text.restructuredtext.js'
import textRobot from '../lang/text.robot.js'
import textRobotsTxt from '../lang/text.robots-txt.js'
import textRoff from '../lang/text.roff.js'
import textRtf from '../lang/text.rtf.js'
import textRunoff from '../lang/text.runoff.js'
import textSfd from '../lang/text.sfd.js'
import textShellSession from '../lang/text.shell-session.js'
import textSlim from '../lang/text.slim.js'
import textSrt from '../lang/text.srt.js'
import textTexLatex from '../lang/text.tex.latex.js'
import textTexLatexHaskell from '../lang/text.tex.latex.haskell.js'
import textTexinfo from '../lang/text.texinfo.js'
import textVimHelp from '../lang/text.vim-help.js'
import textVtt from '../lang/text.vtt.js'
import textXml from '../lang/text.xml.js'
import textXmlAnt from '../lang/text.xml.ant.js'
import textXmlGenshi from '../lang/text.xml.genshi.js'
import textXmlPlist from '../lang/text.xml.plist.js'
import textXmlPom from '../lang/text.xml.pom.js'
import textXmlSvg from '../lang/text.xml.svg.js'
import textXmlXsl from '../lang/text.xml.xsl.js'
import textZoneFile from '../lang/text.zone_file.js'

/** @type {Array<Grammar>} */
export const grammars = [
  configXcompose,
  fileLasso,
  goMod,
  goSum,
  objdumpX6asm,
  source2da,
  source4dm,
  sourceAbap,
  sourceAbapcds,
  sourceAbl,
  sourceAbnf,
  sourceActionscript3,
  sourceAda,
  sourceAfm,
  sourceAgc,
  sourceAgda,
  sourceAhk,
  sourceAidl,
  sourceAl,
  sourceAlloy,
  sourceAmpl,
  sourceAngelscript,
  sourceAntlr,
  sourceApacheConfig,
  sourceApl,
  sourceApplescript,
  sourceAsl,
  sourceAsn,
  sourceAspectj,
  sourceAssembly,
  sourceAstro,
  sourceAts,
  sourceAutoit,
  sourceAvro,
  sourceAwk,
  sourceBallerina,
  sourceBasic,
  sourceBatchfile,
  sourceBdf,
  sourceBefunge,
  sourceBerry,
  sourceBf,
  sourceBicep,
  sourceBlitzmax,
  sourceBoo,
  sourceBoogie,
  sourceBp,
  sourceBrs,
  sourceBsl,
  sourceBsv,
  sourceC,
  sourceCpp,
  sourceCEc,
  sourceCNwscript,
  sourceCabal,
  sourceCadence,
  sourceCairo,
  sourceCapnp,
  sourceCds,
  sourceCeylon,
  sourceCfscript,
  sourceChapel,
  sourceCil,
  sourceCirru,
  sourceClar,
  sourceClarion,
  sourceClean,
  sourceClick,
  sourceClips,
  sourceClojure,
  sourceCmake,
  sourceCobol,
  sourceCoffee,
  sourceCool,
  sourceCoq,
  sourceCrystal,
  sourceCs,
  sourceCsound,
  sourceCsoundDocument,
  sourceCsoundScore,
  sourceCss,
  sourceCssLess,
  sourceCssMss,
  sourceCssPostcssSugarss,
  sourceCssScss,
  sourceCsswg,
  sourceCudaCpp,
  sourceCue,
  sourceCuesheet,
  sourceCurlrc,
  sourceCurry,
  sourceCwl,
  sourceCython,
  sourceD,
  sourceDart,
  sourceDataWeave,
  sourceDebControl,
  sourceDenizenscript,
  sourceDesktop,
  sourceDiff,
  sourceDircolors,
  sourceDm,
  sourceDockerfile,
  sourceDot,
  sourceDylan,
  sourceEarthfile,
  sourceEbnf,
  sourceEcl,
  sourceEditorconfig,
  sourceEiffel,
  sourceElixir,
  sourceElm,
  sourceElvish,
  sourceEmacsLisp,
  sourceErlang,
  sourceEuphoria,
  sourceFactor,
  sourceFan,
  sourceFancy,
  sourceFaust,
  sourceFigfont,
  sourceFirestore,
  sourceFish,
  sourceFnl,
  sourceFontdir,
  sourceForth,
  sourceFortran,
  sourceFortranModern,
  sourceFsharp,
  sourceFstar,
  sourceFtl,
  sourceFuthark,
  sourceGap,
  sourceGcode,
  sourceGdb,
  sourceGdscript,
  sourceGedcom,
  sourceGemfileLock,
  sourceGemini,
  sourceGenericDb,
  sourceGenero,
  sourceGeneroForms,
  sourceGerber,
  sourceGf,
  sourceGfm,
  sourceGitRevlist,
  sourceGitattributes,
  sourceGitconfig,
  sourceGitignore,
  sourceGleam,
  sourceGlsl,
  sourceGn,
  sourceGnuplot,
  sourceGo,
  sourceGolo,
  sourceGosu2,
  sourceGrace,
  sourceGraphql,
  sourceGroovy,
  sourceGroovyGradle,
  sourceGsc,
  sourceHack,
  sourceHaproxyConfig,
  sourceHarbour,
  sourceHaskell,
  sourceHc,
  sourceHlsl,
  sourceHocon,
  sourceHoon,
  sourceHql,
  sourceHttpspec,
  sourceHx,
  sourceHxml,
  sourceHy,
  sourceIdl,
  sourceIdris,
  sourceIgor,
  sourceInform7,
  sourceIni,
  sourceIniNpmrc,
  sourceInno,
  sourceInputrc,
  sourceIo,
  sourceIoke,
  sourceIsabelleRoot,
  sourceIsabelleTheory,
  sourceJ,
  sourceJanet,
  sourceJasmin,
  sourceJava,
  sourceJavaProperties,
  sourceJestSnap,
  sourceJflex,
  sourceJison,
  sourceJisonlex,
  sourceJolie,
  sourceJq,
  sourceJs,
  sourceJsObjj,
  sourceJson,
  sourceJsoniq,
  sourceJsonnet,
  sourceJulia,
  sourceKakscript,
  sourceKeyvalues,
  sourceKotlin,
  sourceKusto,
  sourceLark,
  sourceLean,
  sourceLex,
  sourceLigo,
  sourceLilypond,
  sourceLisp,
  sourceLitcoffee,
  sourceLivescript,
  sourceLlvm,
  sourceLogos,
  sourceLogtalk,
  sourceLoomscript,
  sourceLsl,
  sourceLtspiceSymbol,
  sourceLua,
  sourceM2,
  sourceM4,
  sourceM8k,
  sourceMakefile,
  sourceMask,
  sourceMathematica,
  sourceMatlab,
  sourceMaxscript,
  sourceMc,
  sourceMcfunction,
  sourceMercury,
  sourceMeson,
  sourceMiniyaml,
  sourceMint,
  sourceMl,
  sourceMligo,
  sourceMlir,
  sourceMo,
  sourceModelica,
  sourceModula3,
  sourceModula2,
  sourceMonkey,
  sourceMoonscript,
  sourceMove,
  sourceMql5,
  sourceMsl,
  sourceMupad,
  sourceNanorc,
  sourceNasl,
  sourceNcl,
  sourceNe,
  sourceNemerle,
  sourceNeon,
  sourceNesc,
  sourceNetlinx,
  sourceNetlinxErb,
  sourceNextflow,
  sourceNginx,
  sourceNim,
  sourceNinja,
  sourceNit,
  sourceNix,
  sourceNsis,
  sourceNu,
  sourceNut,
  sourceObjc,
  sourceObjcpp,
  sourceObjectscript,
  sourceOcaml,
  sourceOdin,
  sourceOdinEhr,
  sourceOoc,
  sourceOpa,
  sourceOpal,
  sourceOpentype,
  sourceOx,
  sourceOz,
  sourceP4,
  sourcePan,
  sourcePapyrusSkyrim,
  sourceParrotPir,
  sourcePascal,
  sourcePawn,
  sourcePcbBoard,
  sourcePcbSchematic,
  sourcePcbSexp,
  sourcePegjs,
  sourcePep8,
  sourcePerl,
  sourcePhpZephir,
  sourcePic,
  sourcePigLatin,
  sourcePike,
  sourcePlist,
  sourcePo,
  sourcePogoscript,
  sourcePony,
  sourcePortugol,
  sourcePostcss,
  sourcePostscript,
  sourcePovRaySdl,
  sourcePowershell,
  sourcePrisma,
  sourceProcessing,
  sourceProcfile,
  sourceProlog,
  sourcePrologEclipse,
  sourcePromela,
  sourceProto,
  sourcePuppet,
  sourcePurescript,
  sourcePython,
  sourcePythonKivy,
  sourceQ,
  sourceQasm,
  sourceQl,
  sourceQmake,
  sourceQml,
  sourceQsharp,
  sourceQuake,
  sourceR,
  sourceRacket,
  sourceRaku,
  sourceRascal,
  sourceReason,
  sourceRebol,
  sourceRecordJar,
  sourceRed,
  sourceRedirects,
  sourceReg,
  sourceRegexp,
  sourceRego,
  sourceReligo,
  sourceRenpy,
  sourceRescript,
  sourceRexx,
  sourceRing,
  sourceRpgle,
  sourceRpmSpec,
  sourceRuby,
  sourceRust,
  sourceSas,
  sourceSass,
  sourceScad,
  sourceScala,
  sourceScaml,
  sourceScheme,
  sourceScilab,
  sourceSed,
  sourceSepolicy,
  sourceShaderlab,
  sourceShell,
  sourceShellcheckrc,
  sourceShen,
  sourceSieve,
  sourceSingularity,
  sourceSlice,
  sourceSmali,
  sourceSmalltalk,
  sourceSmpl,
  sourceSmt,
  sourceSolidity,
  sourceSolution,
  sourceSourcepawn,
  sourceSparql,
  sourceSpin,
  sourceSqf,
  sourceSql,
  sourceSshConfig,
  sourceStan,
  sourceStar,
  sourceStata,
  sourceStl,
  sourceStringTemplate,
  sourceStylus,
  sourceSupercollider,
  sourceSvelte,
  sourceSwift,
  sourceSystemverilog,
  sourceTalon,
  sourceTcl,
  sourceTea,
  sourceTerra,
  sourceTerraform,
  sourceTextproto,
  sourceThrift,
  sourceTl,
  sourceTla,
  sourceTmProperties,
  sourceToc,
  sourceToml,
  sourceTs,
  sourceTsql,
  sourceTsx,
  sourceTuring,
  sourceTurtle,
  sourceTxl,
  sourceUr,
  sourceV,
  sourceVala,
  sourceVarnishVcl,
  sourceVbnet,
  sourceVelocity,
  sourceVerilog,
  sourceVhdl,
  sourceVimSnippet,
  sourceViml,
  sourceVyper,
  sourceWavefrontMtl,
  sourceWavefrontObj,
  sourceWdl,
  sourceWebassembly,
  sourceWebidl,
  sourceWgetrc,
  sourceWhiley,
  sourceWin2Messages,
  sourceWitcherscript,
  sourceWollok,
  sourceWren,
  sourceWsd,
  sourceX0,
  sourceX6,
  sourceXc,
  sourceXojo,
  sourceXq,
  sourceXtend,
  sourceYacc,
  sourceYaml,
  sourceYamlSalt,
  sourceYang,
  sourceYara,
  sourceYasnippet,
  sourceYul,
  sourceZap,
  sourceZeek,
  sourceZenscript,
  sourceZig,
  sourceZil,
  textAdblock,
  textBibtex,
  textBrowserslist,
  textChecksums,
  textCodeowners,
  textConllu,
  textDfyDafny,
  textEmlBasic,
  textGherkinFeature,
  textHaml,
  textHtmlAsciidoc,
  textHtmlAsp,
  textHtmlBasic,
  textHtmlCfm,
  textHtmlCreole,
  textHtmlCshtml,
  textHtmlDjango,
  textHtmlEcr,
  textHtmlElixir,
  textHtmlErb,
  textHtmlFtl,
  textHtmlHandlebars,
  textHtmlJs,
  textHtmlJsp,
  textHtmlLiquid,
  textHtmlMako,
  textHtmlMarkdownSourceGfmApib,
  textHtmlMediawiki,
  textHtmlNunjucks,
  textHtmlPhp,
  textHtmlPhpBlade,
  textHtmlRiot,
  textHtmlSlash,
  textHtmlSmarty,
  textHtmlSoy,
  textHtmlStatamic,
  textHtmlTwig,
  textHtmlVue,
  textJade,
  textMarko,
  textMuse,
  textPythonConsole,
  textPythonTraceback,
  textRdoc,
  textRestructuredtext,
  textRobot,
  textRobotsTxt,
  textRoff,
  textRtf,
  textRunoff,
  textSfd,
  textShellSession,
  textSlim,
  textSrt,
  textTexLatex,
  textTexLatexHaskell,
  textTexinfo,
  textVimHelp,
  textVtt,
  textXml,
  textXmlAnt,
  textXmlGenshi,
  textXmlPlist,
  textXmlPom,
  textXmlSvg,
  textXmlXsl,
  textZoneFile
]
