/**
 * @typedef {import('./index.js').Grammar} Grammar
 */

import sourceC from '../lang/source.c.js'
import sourceCpp from '../lang/source.c++.js'
import sourceCs from '../lang/source.cs.js'
import sourceCss from '../lang/source.css.js'
import sourceCssLess from '../lang/source.css.less.js'
import sourceCssScss from '../lang/source.css.scss.js'
import sourceDiff from '../lang/source.diff.js'
import sourceGfm from '../lang/source.gfm.js'
import sourceGo from '../lang/source.go.js'
import sourceGraphql from '../lang/source.graphql.js'
import sourceIni from '../lang/source.ini.js'
import sourceJava from '../lang/source.java.js'
import sourceJs from '../lang/source.js.js'
import sourceJson from '../lang/source.json.js'
import sourceKotlin from '../lang/source.kotlin.js'
import sourceLua from '../lang/source.lua.js'
import sourceMakefile from '../lang/source.makefile.js'
import sourceObjc from '../lang/source.objc.js'
import sourcePerl from '../lang/source.perl.js'
import sourcePython from '../lang/source.python.js'
import sourceR from '../lang/source.r.js'
import sourceRuby from '../lang/source.ruby.js'
import sourceRust from '../lang/source.rust.js'
import sourceShell from '../lang/source.shell.js'
import sourceSql from '../lang/source.sql.js'
import sourceSwift from '../lang/source.swift.js'
import sourceTs from '../lang/source.ts.js'
import sourceVbnet from '../lang/source.vbnet.js'
import sourceYaml from '../lang/source.yaml.js'
import textHtmlBasic from '../lang/text.html.basic.js'
import textHtmlPhp from '../lang/text.html.php.js'
import textXml from '../lang/text.xml.js'
import textXmlSvg from '../lang/text.xml.svg.js'

/** @type {Array<Grammar>} */
export const grammars = [
  sourceC,
  sourceCpp,
  sourceCs,
  sourceCss,
  sourceCssLess,
  sourceCssScss,
  sourceDiff,
  sourceGfm,
  sourceGo,
  sourceGraphql,
  sourceIni,
  sourceJava,
  sourceJs,
  sourceJson,
  sourceKotlin,
  sourceLua,
  sourceMakefile,
  sourceObjc,
  sourcePerl,
  sourcePython,
  sourceR,
  sourceRuby,
  sourceRust,
  sourceShell,
  sourceSql,
  sourceSwift,
  sourceTs,
  sourceVbnet,
  sourceYaml,
  textHtmlBasic,
  textHtmlPhp,
  textXml,
  textXmlSvg
]
