/**
 * List of classes.
 * Their index is important.
 */
export const classes: string[]
/**
 * There is a single grandchild selector:
 *
 * ```css
 * .pl-s .pl-pse .pl-s1 // string punctuation.section.embedded source
 * ```
 *
 * …which is needed to “revert” the color of code when embedded in strings.
 *
 * We currently encode grandparents in `fontStyle`, which is a tiny space.
 * But that’s fine for 1 value.
 * On the receiving end (`parse`), any `fontStyle` is treated as
 * `grandparents[0]`.
 */
export const grandparents: string[]
/**
 * The color we ignore.
 */
export const transparent: '#FFFFFF'
/**
 * Our ✨ magic ✨ theme so we can sort of recreate the nested markup that GH
 * uses.
 *
 * @type {Theme}
 */
export const theme: Theme
export type Theme = import('vscode-textmate').IRawTheme
